<div class="row">
    <div class="col-xs-10">
        <router-outlet></router-outlet>
        <hr>
        <h3>Shopping List</h3>
        <ul class="list-group">
            <a 
                class="list-group-item" 
                style="cursor: pointer" 
                *ngFor="let ingredient of ingredients; let i = index"
                [routerLink]="[i, 'edit']"
            >
                {{ ingredient.name }} ({{ ingredient.amount }})
            </a>
        </ul>
    </div>
</div>